using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WpfApplication1.ServiceReference1
{
    public partial class AdventureWorksDomainService1SoapClient
    {
        public IEnumerable<Product> GetProductsResult()
        {
            var result = this.GetProducts();
            return result.RootResults;
        }
    }
}
